import request from '@/utils/request'
// 列表-会议室 system:room:list
export function getRoomList(data) {
  return request({
    'url': '/conference/list',
    'method': 'get',
	'data':data
  })
}
// 列表-会议室不分页 system:room:listNoPage
export function getRoomNoList(data) {
  return request({
    'url': '/conference/listNoPage',
    'method': 'get',
	'data':data
  })
}
// 列表-会议室预约查询当前时间之后的预约 system:order:listNoPage
export function getRoomtimeNoList(data) {
  return request({
    'url': '/conferenceOrder/listNoPage',
    'method': 'get',
	'data':data
  })
}
// 列表-会议室预约 system:order:list
export function getRoomyyList(data) {
  return request({
    'url': '/conferenceOrder/list',
    'method': 'get',
	'data':data
  })
}
// -新增-会议室预约 system:order:add
export function getRoomyyAdd(data) {
  return request({
    'url': '/conferenceOrder',
    'method': 'post',
	'data':data
  })
}
// 修改-会议室预约 system:order:edit
export function getRoomyyPut(data) {
  return request({
    'url': '/conferenceOrder/put',
    'method': 'post',
	'data':data
  })
}
// 删除-会议室预约 system:order:remove
export function getRoomyyDel(data) {
  return request({
    'url': '/conferenceOrder/delete/'+data,
    'method': 'get',
  })
}

// 详情-会议室预约 system:order:query
export function getRoomyyDetail(data) {
  return request({
    'url': '/conferenceOrder/'+data,
    'method': 'get',
  })
}

// 列表-订餐 system:food:list
export function getFoodList(data) {
  return request({
    'url': '/food/list',
    'method': 'get',
	'data':data
  })
}
// -新增-订餐 system:food:add
export function getFoodAdd(data) {
  return request({
    'url': '/food',
    'method': 'post',
	'data':data
  })
}
// 修改-订餐 system:food:edit
export function getFoodPut(data) {
  return request({
    'url': '/food/put',
    'method': 'post',
	'data':data
  })
}
// 删除-订餐 system:food:remove
export function getFoodDel(data) {
  return request({
    'url': '/food/delete/'+data,
    'method': 'get',
  })
}

// 详情-订餐 system:food:query
export function getFoodDetail(data) {
  return request({
    'url': '/food/'+data,
    'method': 'get',
  })
}
// 日历-订餐 system:food:list
export function getFoodRiLi(data) {
  return request({
    'url': '/food/riLi',
    'method': 'get',
	'data':data
  })
}
// 打卡记录-列表 system:clock:list
export function getClockList(data) {
  return request({
    'url': '/system/clock/list',
    'method': 'get',
	'data':data
  })
}
// 打卡记录-详情 system:clock:query
export function getClockDetail(data) {
  return request({
    'url': '/system/clock/'+data,
    'method': 'get',
  })
}
// 打卡记录-日历 system:clock:rl
export function getClockRl(data) {
  return request({
    'url': '/system/clock/rl',
    'method': 'get',
	'data':data
  })
}

// 访问信息-列表 system:record:list
export function getRecordList(data) {
  return request({
    'url': '/system/record/list',
    'method': 'get',
	'data':data
  })
}
// 访问信息-删除 system:record:list
export function getRecordDel(data) {
  return request({
    'url': '/system/record/delete/'+data,
    'method': 'get',
  })
}

// 查询人员信息列表system:management:list
export function getManagementList(data) {
  return request({
    'url': '/system/management/list',
    'method': 'get',
	'data':data
  })
}
// -新增人员信息 system:management:add
export function getManagementAdd(data) {
  return request({
    'url': '/system/management',
    'method': 'post',
	'data':data
  })
}
// 修改人员信息 system:management:edit
export function getManagementPut(data) {
  return request({
    'url': '/system/management/put',
    'method': 'post',
	'data':data
  })
}
// 删除人员信息 system:management:remove
export function getManagementDel(data) {
  return request({
    'url': '/system/management/delete/'+data,
    'method': 'get',
  })
}

// 查询人员信息 system:management:query
export function getManagementDetail(data) {
  return request({
    'url': '/system/management/'+data,
    'method': 'get',
  })
}
